function mesh=createKinNeighMesh(n1,n2)
%mesh=createKinNeighMesh(n1,n2)
%input:
%n1, n2-  size of depth image
%output:
%mesh - Mx3 matrix, where each line defines a triangle using the
%indices of pixels in the depth image. The triangles are all
%consistently oriented.    
% Copyright (c) 2015, Susana Brandao
    mesh=zeros((n1-1)*(n2-1)*2,3);

    countMesh=1;
    for i=1:1:n1-1
        for j=2:2:n2-1
            mesh(countMesh,:)=[i+1+(j)*n1,i+(j)*n1,i+(j-1)*n1];
            countMesh=countMesh+1;
            mesh(countMesh,:)=[i+1+(j-1)*n1,i+1+(j)*n1,i+(j-1)*n1];
            countMesh=countMesh+1;
            mesh(countMesh,:)=[i+1+(j-2)*n1,i+1+(j-1)*n1,i+(j-1)*n1];
            countMesh=countMesh+1;
            mesh(countMesh,:)=[i+(j-2)*n1,i+1+(j-2)*n1,i+(j-1)*n1];
            countMesh=countMesh+1;
        end
    end
    

    if mod(n2,2)==0
        for i=1:1:n1-1
            j=n2;
            mesh(countMesh,:)=[i+1+(j-2)*n1,i+1+(j-1)*n1,i+(j-1)*n1];
            countMesh=countMesh+1;
            mesh(countMesh,:)=[i+(j-2)*n1,i+1+(j-2)*n1,i+(j-1)*n1];
            countMesh=countMesh+1;        
        end
    end
    
    
    mask=sum(mesh,2)>0;
    mesh=mesh(mask,:);
    
    
  
    
end