function k1=getBoundaryMesh(mesh,order)
   % k1=getBoundaryMesh(mesh,order)
   %input:
   %mesh: Mx3 int matrix -the vertex indices of the triangles in the mesh
   %order: 1- object boundary, 2- smaller, i.e., hole boundary
   %output:
   %k1: the ordered  boundary indices
   %Copyright (c) 2015, Susana Brandao

   maxM=max(max(mesh));  % maximum vertex index.
   
   %check which edges show only once in the triangular mesh
   edge=[mesh(:,1:2);mesh(:,2:3);[mesh(:,3),mesh(:,1)]]; %edges in the mesh
   countM1=sparse(edge(:,1),edge(:,2),1,maxM,maxM);  
   countM2=sparse(edge(:,2),edge(:,1),1,maxM,maxM);
   countM=countM1+countM2;    
   [indiB,indjB]=find(countM==1);
   
   boundary=sparse(indiB,indjB,countM1((indiB-1)*maxM+indjB)); %% this is supposedly a cool idea
   multipleBoundary=find(sum(boundary,1)>1); %% this is supposed to happen when a vertex is in two boundaries!!!
   collect=multipleBoundary(:);
   while ~isempty(multipleBoundary)
    a=1:max(max(mesh));
    a(multipleBoundary)=0;
    mesh=a(mesh);
    mesh=mesh(sum(mesh==0,2)==0,:);
    
  
   
    maxM=max(max(mesh));
    edge=[mesh(:,1:2);mesh(:,2:3);[mesh(:,3),mesh(:,1)]];    

    
    countM1=sparse(edge(:,1),edge(:,2),1,maxM,maxM);
    countM2=sparse(edge(:,2),edge(:,1),1,maxM,maxM);
    countM=countM1+countM2;
    
   [indiB,indjB]=find(countM==1);
   
   boundary=sparse(indiB,indjB,countM1((indiB-1)*maxM+indjB));
   multipleBoundary=find(sum(boundary,1)>1);
   collect=[collect;multipleBoundary(:)];
   end
   
   totalPath={};
   for i=1:length(multipleBoundary)
       cycle=find(boundary(multipleBoundary(i),:));
       for j=1:length(cycle)
           z=cycle(j);
           path=[z];
           while z~=multipleBoundary(i)
               z=find(boundary(z,:));
               path=[path,z(1)];
           end
           path=[path,cycle(j)];
           totalPath=cat(1,totalPath,path);
       end
   end
   for i=1:length(totalPath)
       path=totalPath{i};
       boundary(path(1:end-1),path(2:end))=0;
   end
   k1=getPath(boundary);
   totalPath=cat(1,totalPath,k1);
   
   indK=1;
   if(order==1)
   
   for i=2:length(totalPath)
       if(length(totalPath{i})>length(totalPath{indK}))
           indK=i;
       end
   end
   end
   
   if(order==2)
   
   for i=2:length(totalPath)
       if(length(totalPath{i})<length(totalPath{indK}))
           indK=i;
       end
   end
   end
   
   k1=totalPath{indK};   
   k1=k1(:);
%   plot3(vertex(k1,1),vertex(k1,2),vertex(k1,3))
  
end

function meshB=getPath(P)
    Psave=P;
    meshInd=1:length(P);
    meshInd=meshInd(:);
    meshB={};
    meshB1=[1];
    cont=true;
    a=sum(P,2);
    if(sum(a)==0)
        cont=false;
    else
        k=find(a>0,1);
        meshB1=[k];                
    end    
    i=1;
    while(cont)
        i=i+1;
      
        new=P(meshB1(i-1),:)*meshInd;
        if(isempty(find(meshB1==new)))
            %if it is unique
            meshB1=[meshB1;new];
        else
            %if we had already passes here
            meshB1=[meshB1;meshB1(1)];  % we close the path
            meshB=cat(1,meshB,meshB1);  % we add it to the list of paths
            P(meshB1(1:end-1),meshB1(2:end))=0; % we remove all the paths from the matrix
            a=sum(P,2);         % check if the matrix is empty and I have no idea about the remaining og the code
            if(sum(a)==0)
                cont=false;
            else
                k=find(a>0,1);
                meshB1=[k];
                i=1;
                
            end
        end
        
    end

end