function getColorDescriptor(depth,rgb,imBackground)
    %desc=getColorDescriptor(imdepth,imRgb,imBackground)
    %input:
    %imdepth: depth image (matrix)
    %imrgb: rgb image (matrix)
    %imbackground: depth background (matrix)
    %config input: configManInCorridor.m, see example and change
    %output:
    %desc: descriptor, # size defined in config file as size PVHK
    %
    % Copyright(r) 2015 Susana Brandao

        
    %Kinect
    load v_kinect
    nKinect=2;
    kinect=kinect(nKinect);
    load('calibrateFloor','R','t')
    
    
    
    
    %segment for vertices, mesh and rgb
    [vertex,mesh,rgb,indDepth,indRGB]=getPersonMesh(depth,rgb,imBackground,kinect,R,t);        
    
    mm=zeros(640*480,3);
    mm(indRGB,:)=rgb;
    mm=reshape(mm,480,640,3);
    imagesc(mm/255);
    title('Segmented RGB')
    
    
    
    
    
%    colormap(map)
    
    
    
    
    % To compute the source position we need the vertex to be
    % in the camera coordinate system  
    vertexA=vertex*R;
    vertexA=vertexA+repmat(t,size(vertexA,1),1);        
    source=getSource(vertexA);
    
    % We then extract the boundary, and select the vertices where
    % to compute the temperature
    bound=selectPointBoundary(mesh,vertexA,source);
figure    
    plot_mesh(vertex,mesh);
    hold on
    plot3(vertex(source,1),vertex(source,2),vertex(source,3),'.r','MarkerSize',10);
    plot3(vertex(bound,1),vertex(bound,2),vertex(bound,3),'.b');
    hold off
    legend('surface','source','boundary')
         figure   
    [descColor,un,l,sT,hK]=computeTempAtSurface_color(mesh,vertex,rgb,bound,source);
    plot(descColor)
    ylabel('Temperature')
    xlabel('Boundary')
    title('Color Information')
    
    [desc,un,l,sT,hK]=computeTempAtSurfaceFixedTime(mesh,vertex,bound,source);    
   figure
    plot(desc)
    title('No Color Information')
    xlabel('Boundary')
   
    
    
end