function path=getHi(points,vertex)
% path=getHi(points,vertex),
% re-orders the set of points so that the first point is the
% highest one
%input:
%points- Nbx1 the index of all vertices in the partial view corresponding to the ordered set of points in the boundary
%vertex- Nx3 the coordinates of all vertices in the partial views (N>>Nb)
%output:
%path- the re-ordered set of indices so that vertex(path(1),3)>=vertex(path,3)
%
% Copyright(r) 2015 Susana Brandao

  

    
     points(end)=[];
     z=vertex(points,3);
     [maxZ,Zind]=max(z);
     points=circshift(points,-Zind+1);
     path=[points;points(1)];
     
end