function ind=getSource(vertex)
    %ind=getSource(vertex)
    %returns the source index for a partial view, which vertices
    %are in the camera coordinate system
    %input:
    %in this case, vertex is oriented such that:
    %vertex(:,1:2) -> are the coordinates of the object in the
    %camera plane
    %vertex(:,3) -> is the distance between each point in the
    %object and the camera plane
    %output:
    %ind: the index in the vertex list of the point that is closest
    %to the centroid of the projection on the camera plane
    %
    %Copyright(r) 2015 Susana Brandao    

    meanImage=mean(vertex(:,1:2));
    % the we take
    dist=vertex(:,1:2)-repmat(meanImage,size(vertex,1),1);
    dist=sum(dist.*dist,2);
    [f,ind]=min(dist);    
    
end