function [vertex,mesh]=readPly(file)
%[vertex,mesh,rgb]=readPly(file)
%reads a ply file with just the vertex coordinates and themesh.
% input:
% file - the name of the ply file
% output: 
% vertex - Nx3 list of coordinates
% mesh - Mx3 list of triangles
% Copyright(r) 2015 Susana Brandao


    fid=fopen(file,'r');
    
    for i=1:4
        l=fgetl(fid);
    end
    
    line=regexp(l,' ','split');
    numVertex=str2num(line{3});
    
    numberFields=0;
    
    l=fgetl(fid);
    line=regexp(l,' ','split');
    entry1=line{1};
    
    while (~strcmp(entry1,'element'))
        l=fgetl(fid);
        line=regexp(l,' ','split');
        entry1=line{1};
        numberFields=numberFields+1;
    end
    
    
    numMesh=str2num(line{3});
    
    l=fgetl(fid);
    line=regexp(l,' ','split');
    entry1=line{1};
    countFields=0;
    while (~strcmp(entry1,'end_header'))
        l=fgetl(fid);
        line=regexp(l,' ','split');
        entry1=line{1};
        countFields=countFields+1;
    end
    numFieldsMesh=4+countFields-1;
    
    
    
    vertex=fscanf(fid,'%f',[numberFields,numVertex]);
    vertex=vertex';
    vertex=vertex(:,1:3);
    %l=fgetl(fid);
    mesh=fscanf(fid,'%g',[numFieldsMesh,numMesh]);
    mesh=mesh';
    mesh=mesh(:,2:4)+1;
    mesh=int32(mesh);
    
    %clear the points that are not in the mesh
    pointsInd=unique(mesh);
    aa(pointsInd)=1:length(pointsInd);
    vertex=vertex(pointsInd,:);
    mesh=[aa(mesh(:,1))',aa(mesh(:,2))',aa(mesh(:,3))'];
   
    
    
end
