function [vertex,mesh,rgb]=readPlyColor(file)
 %[vertex,mesh,rgb]=readPlyColor(file)
 %reads a ply file also containing RGB information.
% the actual reading is performed by plyread ( from  Pascal
% Getreuer 2004 and distributed in toolbox_graph)
%
% here I just parse the returned data into my data structures
% input:
% file - the name of the ply file
% output: 
% vertex - Nx3 list of coordinates
% mesh - Mx3 list of triangles
% rgb - Nx3 rgb colors for each point in vertex
% Copyright(r) 2015 Susana Brandao 
     
data=plyread(file);


vertex=[data.vertex.x,data.vertex.y,data.vertex.z];
rgb=[data.vertex.red,data.vertex.green,data.vertex.blue];



mesh=zeros(length(data.face.vertex_indices),3);
for i=1:length(mesh)
   mesh(i,:)=data.face.vertex_indices{i}+1;
end
   %clear the points that are not in the mesh
    pointsInd=unique(mesh);
    aa(pointsInd)=1:length(pointsInd);
    vertex=vertex(pointsInd,:);
    rgb=rgb(pointsInd,:);
    mesh=[aa(mesh(:,1))',aa(mesh(:,2))',aa(mesh(:,3))'];
    
end
