function k1=resortMeshPoints(mesh,kInit)
%k1=resortMeshPoints(mesh,kInit)
% re-orders a selected sub-set of boundary points, so that they
% follow the order in the full boundary path
%input: 
%mesh - Mx3 int matrix -the vertex indices of the triangles in the mesh
%kInit - the boundary vertices' index as orded in the camera plane
%output: 
% k1 - the  boundary vertices' index orded as in the mesh
% Copyright(r) 2015 Susana Brandao 
k1=getBoundaryMesh(mesh,1);
mK=max(k1);
u1=zeros(mK,1);
u1(k1)=1:length(k1);
o=u1(kInit);
[uS,oS]=sort(o,'descend');

k1=kInit(oS);
p=find(k1==kInit(1),1);
k1=circshift(k1(:),-p+1);
end