function bound=selectPointBoundary(mesh,vertexA,source)
%bound=selectPointBoundary(mesh,vertexA)
% selectes a sub-set of boundary vertices
% input:
%mesh: the triangles covering the object surface--- it needs to be
%      a manifold, i.e., triangles must not intersect, and the
%      all edges that belong to a single triangle are part of a
%      boundary.
%vertexA: vertices coordinates in the camera reference frame.
%source: the index in the vertex list of the point that is closest
% output:
%bound: the set of point over the partial view boundary, which are
%equally spaced by angles of pi/40, measured from the central point
% Copyright(r) 2015 Susana Brandao 
    bound=getBoundaryMesh(mesh,1);
    k=getHi(bound,vertexA,[]);    
    k=choseBound(vertexA,k,source); %reorder source
    bound=resortMeshPoints(mesh,k);
    
end