function writeColorPly(file,vertex,faces,rgb,flip)
%writeColorPly(file,vertex,faces,rgb,flip)
% yet another function to write plys. This is ready to be used with
% plywrite, but I was not able to open the resulting file in
% meshlab. 
%input: 
%vertex: Nx3 double matrix with vertex coordinates
%faces: Mx3 int matrix with vertex indices correspondind to mesh triangles
%rgb: Nx3 does not matter matrix with rgb indices
%file: file where to write:
%flip(optional): sometimes the triangles are not properly oriented and thus their
%normal is facing inwards, flip=true changes the orientation.
% Copyright(r) 2015 Susana Brandao

data.vertex.x=vertex(:,1);
data.vertex.y=vertex(:,2);
data.vertex.z=vertex(:,3);

rgb=uint8(rgb);

data.vertex.red=rgb(:,1);
data.vertex.green=rgb(:,2);
data.vertex.blue=rgb(:,3);

flipNormals=false;
if(nargin>4 )
    flipNormals=flip;
end


if(flipNormals)
    faces=[faces(:,2),faces(:,1),faces(:,3)];
end

data.face.vertex_indices={};
for i=1:length(faces)
    data.face.vertex_indices{i}=faces(i,:)-1;
end

%plywrite(data,file,'ascii')
write_ply_color(data, file)
end