function write_Ply(vertex,faces,file,flip)
%write_Ply(vertex,faces,file,flip)
% this function provides the interface between my datastructures
% and plywrite.
%input: 
%vertex: Nx3 double matrix with vertex coordinates
%faces: Mx3 int matrix with vertex indices correspondind to mesh triangles
%file: file where to write:
%flip(optional): sometimes the triangles are not properly oriented and thus their
%normal is facing inwards, flip=true changes the orientation.
% Copyright(r) 2015 Susana Brandao 

data.vertex.x=vertex(:,1);
data.vertex.y=vertex(:,2);
data.vertex.z=vertex(:,3);

data.face.vertex_indices={};


flipNormals=false;
if(nargin>3 )
    flipNormals=flip;
end

if(flipNormals)
    faces=[faces(:,2),faces(:,1),faces(:,3)];
end

for i=1:length(faces)
    data.face.vertex_indices{i}=int32(faces(i,:)-1);
end
plywrite(data,file,'ascii')

end