function write_ply_color(data, file)
% write_ply_color(data, file)
% yet another function to write plys.
% input: 
% data - data.vertex.x, data.vertex.y,data.vertex.z,
%        data.vertex.red, data.vertex.green,data.vertex.blue
%        All the abouve are vectors with the same size.
%        data.face.vertex_indices{i} - [tr1,tr2,tr3] the three
%        edges of each triangle
% file- the file name
% Copyright(r) 2015 Susana Brandao
    


%header
head=['ply\n',...
    'format ascii 1.0\n',...
    'comment created by MATLAB plywrite\n',...
    'element vertex %d\n',...
    'property float x\n',...
    'property float y\n',...
    'property float z\n',...
    'property uchar red\n',...
    'property uchar green\n',...
    'property uchar blue\n',...
    'element face %d\n',...
    'property list uchar int32 vertex_indices\n'....
    'end_header\n'];

 nVertices=length(data.vertex.x);
 nFaces=length(data.face.vertex_indices);

 
 fid=fopen(file,'w');
 fprintf(fid,head,nVertices,nFaces);
 
 for i=1:nVertices
     fprintf(fid,'%f %f %f %d %d %d\n', data.vertex.x(i),data.vertex.y(i),data.vertex.z(i),data.vertex.red(i),data.vertex.green(i),data.vertex.blue(i));
 end
 
 for i=1:nFaces
     fprintf(fid,'3 %d %d %d\n', data.face.vertex_indices{i}(1), data.face.vertex_indices{i}(2),data.face.vertex_indices{i}(3));
 end
 
   fclose(fid);
end